<?php
/**
 * Tento soubor umístěte na svůj webový server (s PHP) jako default.php
 * a následně jej zavolejte ve svém webovém prohlížeči ve tvaru:
 * http://www.vaše-doména.tld/default.php
 * Následujte povely na stránce...
 *
 * @package    Installer
 * @subpackage Albireo I
 * @copyright  Copyright (c) 2009 Martin Novák. All rights reserved
 * @license    GNU/AGPL http://www.gnu.org/licenses/agpl.html
 *
 * Albireo is free software! You can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *	GNU Affero General Public License for more details.
 */

header ( "Content-Type: text/html; charset=utf-8" );

define( "CENTRAL_SERVER", "http://download.albireo.name/albireoi/");
define( "LANGUAGE", "cs");
@date_default_timezone_set ( "Europe/Prague" );

function testServer ()
{
    $errors = 0;

    echo '<div id="testbody"><img src="'. CENTRAL_SERVER .'images/test-icon.jpg" alt="ikona testu" class="floatLeft" /><h1>Test serveru</h1>
    <p>Albireo nyní testuje technologie a jejich nastavení na serveru. Test se spouští ve dvou fázích. V první fázi systém ověří přítomnost základních technologií. Pokud první fáze skončí úspěšně, automaticky bude spuštěna druhá fáze, která otestuje rozšíření a nastavení.</p>
    <hr class="cleaner" />';

    // test PHP //////////////////////////////////////////////////////////////////
    echo '<h2>PHP '. phpversion () .'<a href="#" title="Informace o PHP" onclick="ajaxDialogue(\'default.php?action=info-php\');return false;"><img src="'. CENTRAL_SERVER .'images/info.jpg" alt="Informace o PHP" /></a></h2>';
    if ( (int) substr ( phpversion (), 0, 1 ) == 5 ) {
    	echo '<p><img src="'. CENTRAL_SERVER .'images/ok.jpg" alt="ok" />
    	<strong class="green">PHP běží v ideální verzi</strong> - Němeli by tu být žádné problémy způsobené rozdíly mezi různými verzemi PHP.</p>';
    } else {
    	if ( (int) substr ( phpversion (), 0, 1 ) > 6 ) {
    	    echo '<p><strong class="gold">PHP běží v nevhodné verzi</strong> - Albireo bylo vytvořeno pro nižší verzi PHP než je ta, která běží na Vašem serveru. Nemůžeme zaručit plnou kompatibilitu.</p>';
    	} else {
    	    echo '<p><img src="'. CENTRAL_SERVER .'images/fail.jpg" alt="fail" /><strong class="warning">PHP běží ve špatné verzi</strong> - Albireo bylo vyvíjeno pro vyšší verzi PHP, než která běží na vašem serveru, proto není spuštění systému možné.<br />
    	    <a href="#" onclick="ajaxDialogue(\'default.php?action=error-php\');return false;" title="Řešit problém s verzí PHP"><img src="'. CENTRAL_SERVER .'images/help.jpg" alt="Řešit problém s verzí PHP" />Řešit problém s verzí PHP</a></p>';
    	    ++$errors;
    	}
    }
    //////////////////////////////////////////////////////////////////////////////

    // test mysql ////////////////////////////////////////////////////////////////

    preg_match ( "/[1-9].[0-9].[0-9]/", mysql_get_client_info (), $match );
    $mysql_version = $match [ 0 ];

    echo '<h2>MySQL '. @mysql_get_client_info () .'<a href="#" title="Information about MySQL" onclick="ajaxDialogue(\'default.php?action=info-mysql\');return false;"><img src="'. CENTRAL_SERVER .'images/info.jpg" alt="Informace o MySQL" /></a></h2>';
    if ( extension_loaded ( "mysql" ) ) {
    	echo '<p><img src="'. CENTRAL_SERVER .'images/ok.jpg" alt="ok" />
    	<strong class="green">MySQL databáze je dostupná</strong> - Základní datové úložiště pro Albireo.</p>';
    	if ( version_compare( "5.1.6", $mysql_version, "<=" ) ) {
    	    echo '<p><img src="'. CENTRAL_SERVER .'images/ok.jpg" alt="ok" />
    	    <strong class="green">Verze PHP '. @mysql_get_client_info () .' je ideální</strong> - Systém bude možné spustit.</p>';
    	} else {
    	    /*echo '<p><strong class="warning">Verze MySQL '. @mysql_get_client_info () .' není ideální</strong> - některé části systému nebude možné spustit.<br />
            Client API ukazuje nižší verzi MySQL než Albireo potřebuje, avšak tento údaj může být chybný. Ověřte prosím, že je verze Vaší MySQL databáze alespoň 5.1.6, nebo že máte právo vytvářet triggery.
            Před verzí 5.1.6 je nutné mít <a href="http://dev.mysql.com/doc/refman/5.1/en/privileges-provided.html#priv_trigger" title="trigger oprávnění na mysql.com">SUPER oprávnění</a>.</p>';*/
			echo '<p><strong class="gold">Verze MySQL '. @mysql_get_client_info () .' není ideální</strong> - máte nižší verzi MySQL než je doporučená. Avšak i s touto verzí je Albireo stále kompatibilní.<br />
            Client API ukazuje nižší verzi MySQL než Albireo doporučuje, avšak tento údaj může být chybný. Ověřte prosím, že je verze Vaší MySQL databáze alespoň 5.1.6.</p>';
    	}
    } else {
    	echo '<p><img src="'. CENTRAL_SERVER .'images/fail.jpg" alt="fail" /><strong class="warning">Databáze MySQL není dostupná</strong> - Albireo není schopné najít základní datové úložiště<br />
    	<a href="#" onclick="ajaxDialogue(\'default.php?action=error-mysql1\');return false;" title="Řešení problému s MySQL"><img src="'. CENTRAL_SERVER .'images/help.jpg" alt="Řešení problému s MySQL" />Řešení problému s MySQL</a></p>';
    	++$errors;
    }
    //////////////////////////////////////////////////////////////////////////////

    // test PHP settings phase 1 /////////////////////////////////////////////////
    echo '<h2>Nastavení PHP fáze 1<a href="#" title="Informace o PHP fázi 1" onclick="ajaxDialogue(\'default.php?action=info-phpphase1\');return false;"><img src="'. CENTRAL_SERVER .'images/info.jpg" alt="Informace o PHP fázi 1" /></a></h2>';
    if ( ini_get ( "safe_mode" ) == 1 ) {
		if ( substr ( php_sapi_name(), 0, 3 ) == "cgi" ) {
			echo '<p><img src="'. CENTRAL_SERVER .'images/ok.jpg" alt="ok" /><strong class="gold">PHP Safe Mode je zapnutý, avšak PHP běží jako CGI.</strong> Je možné, že vše bude pracovat jak má, proto smíte v instalaci pokračovat. Pokud během instalace dojde k problémům, chyba může být právě zde.</p>';
		} else {
			echo '<p><img src="'. CENTRAL_SERVER .'images/fail.jpg" alt="fail" /><strong class="warning">PHP je spuštěno v Safe Mode</strong> - Ne všechny služby jsou dostupné<br />
			<a href="#" onclick="ajaxDialogue(\'default.php?action=error-safemode\');return false;" title="Řešení problému se Safe Mode"><img src="'. CENTRAL_SERVER .'images/help.jpg" alt="Řešení problému se Safe Mode" />Řešení problému se Safe Mode</a></p>';
			++$errors;
		}
    } else {
    	echo '<p><img src="'. CENTRAL_SERVER .'images/ok.jpg" alt="ok" /><strong class="green">Safe Mode je vypnutý</strong> - Všechny služby jsou dostupné. </p>';
    }

    if ( ini_get ( "allow_url_fopen" ) == 1 ) {
    	echo '<p><img src="'. CENTRAL_SERVER .'images/ok.jpg" alt="ok" /><strong class="green">PHP se může spojit s centrálním serverem</strong> - Všechny služby centrálního serveru jsou dostupné.</p>';
    } else {
    	echo '<p><img src="'. CENTRAL_SERVER .'images/fail.jpg" alt="fail" /><strong class="warning">PHP má zakázáno kontaktovat externí servery. </strong> - Albireo se nemůže spojit s centrální serverem a nebude schopné instalace.<br />
	<a href="#" onclick="ajaxDialogue(\'default.php?action=error-fopen\');return false;" title="Řešit problém s centrálním serverem"><img src="'. CENTRAL_SERVER .'images/help.jpg" alt="Řešit problém s centrálním serverem" />Řešit problém s centrálním serverem</a></p>';
	++$errors;
    }

    if ( !file_exists ( "download" ) ) {
	if ( !@mkdir ( "download" ) ) {
	    echo '<p><img src="'. CENTRAL_SERVER .'images/fail.jpg" alt="fail" /><strong class="warning">PHP nemůže pracovat se souborovým systémem</strong> - Není možné instalovat soubory Albirea,
	    zápis: '. substr ( sprintf ( '%o', fileperms ( '.' ) ), -4 ) .'<br />
	    <a href="#" onclick="ajaxDialogue(\'default.php?action=error-drive\');return false;" title="Řešit problém se zápisem"><img src="'. CENTRAL_SERVER .'images/help.jpg" alt="Řešit problém se zápisem" />Řešit problém se zápisem</a></p>';
	    ++$errors;
	} else {
	    // this has to be done because of different implementation of archive handling on servers
    	    @mkdir ( "backups" );
    	    @mkdir ( "languages" );
    	    @mkdir ( "sqlite" );
    	    @mkdir ( "temporary" );
            @mkdir ( "home" );
    	///////////////////////////////////////////////////////////////////////////////////////////
	    echo '<p><img src="'. CENTRAL_SERVER .'images/ok.jpg" alt="ok" /><strong class="green">PHP může pracovat se souborovým systémem</strong> - Je možné nainstalovat soubory Albirea</p>';
	}
    } else {
    	echo '<p><img src="'. CENTRAL_SERVER .'images/ok.jpg" alt="ok" /><strong class="green">PHP může pracovat se souborovým systémem</strong> - Je možné nainstalovat soubory Albirea</p>';
    }

    if ( extension_loaded ( "gettext" ) ) {
    	echo '<p><img src="'. CENTRAL_SERVER .'images/ok.jpg" alt="ok" /><strong class="green">Rozšíření pro lokalizaci je dostupné</strong> - Výběr jazyka je dostupný.</p>';
    } else {
    	echo '<p><img src="'. CENTRAL_SERVER .'images/fail.jpg" alt="fail" /><strong class="warning">Rozšíření pro lokalizaci není dostupné</strong> - Výběr jazyka není možný.<br />
	<a href="#" onclick="ajaxDialogue(\'default.php?action=error-gettext\');return false;" title="Řešit problém s lokalizací"><img src="'. CENTRAL_SERVER .'images/help.jpg" alt="Řešit problém s lokalizací" />Řešit problém s lokalizací</a></p>';
    	++$errors;
    }
    //////////////////////////////////////////////////////////////////////////////

    if ( $errors > 0 ) {
    	echo '<h2>Shrnutí testu</h2><p>Test našel jeden nebo více závažných problémů a není schopen pokračovat. Prosím opravte tyto problémy a začněte test znovu. <br /><strong class="warning">Počet problémů</strong>: '. $errors .'</p>
    	<a href="#" title="Ověř dostupnost služeb na serveru" onclick="changeIdByGET(\'default.php?action=test\',\'text\');return false;"><img class="installButton" src="'. CENTRAL_SERVER . LANGUAGE .'/'. LANGUAGE .'-test-button.jpg" alt="Test serveru" /></a>';
    } else {
    	installExtensionDownload ();
    }
    echo '</div>';

} // end testServer

function installExtensionDownload ()
{

    $error_message = "<p>V instalátoru a/nebo v centrální server se objevil neočekávaný problém. Prosím ověřte, že máte nejnovější verzi instalátoru. Pokud problém přetrvá, kontaktujte prosím vývojáře Albirea.</p>";

    if ( file_exists ( "download/cs-install-localization.php" ) || ( $installLocalizationFile = @file_get_contents ( CENTRAL_SERVER ."cs-install-localization.inc" ) ) ) {
	if ( file_exists ( "download/cs-install-localization.php" ) || @file_put_contents ( "download/cs-install-localization.php", $installLocalizationFile ) ) {
	    if ( !file_exists ( "download/localization.php" ) ) {
	        include_once "download/cs-install-localization.php";
	    }
    	} else {
    	    echo "<h2>Nastavení PHP fáze 2</h2>
    	    <p><strong class=\"warning\">Fatální chyba - Soubor s lokalizací nelze uložit na váš server!</strong></p>
	    $error_message";
	    return;
    	}
    } else {
    	echo "<h2>Nastavení PHP fáze 2</h2>
    	<p><strong class=\"warning\">Fatální chyba - Soubor s lokalizací nelze stáhnout z centrálního serveru!</strong></p>
	$error_message";
	return;
    }

    @mkdir("languages/cs/");
    @mkdir("languages/cs/LC_MESSAGES");
    if (!file_exists("languages/cs/LC_MESSAGES/messages.mo")&&!($messages = @file_get_contents ( CENTRAL_SERVER ."languages/cs/LC_MESSAGES/messages.mo" ))) {
	echo "<h2>Nastavení PHP fáze 2</h2>
    	<p><strong class=\"warning\">Fatální chyba - Chyba při přesunu binárního souboru lokalizace z centrálního serveru na Váš server!</strong></p>
	$error_message";
	return;
    }
    if (!file_exists("languages/cs/LC_MESSAGES/messages.mo")&&!(@file_put_contents ( "languages/cs/LC_MESSAGES/messages.mo", $messages ))) {
	echo "<h2>Nastavení PHP fáze 2</h2>
    	<p><strong class=\"warning\">Fatální chyba - Chyba při ukládání binárního souboru lokalizace z centrálního serveru na Váš server!</strong></p>
	$error_message";
	return;
    }

    if ( file_exists ( "download/install-extension.php" ) || ( $finalTestFile = @file_get_contents ( CENTRAL_SERVER ."install-extension.inc" ) ) ) {
	if ( file_exists ( "download/install-extension.php" ) || @file_put_contents ( "download/install-extension.php", $finalTestFile ) ) {
	    include_once "download/install-extension.php";
    	    finalTest ();
    	} else {
    	    echo "<h2>Nastavení PHP fáze 2</h2>
    	    <p><strong class=\"warning\">Fatální chyba - Test PHP fáze 2 nelze uložit na Váš server.</strong></p>
	    $error_message";
    	}
    } else {
    	echo "<h2>Nastavení PHP fáze 2</h2>
    	<p><strong class=\"warning\">Fatální chyba - Test PHP fáze 2 nelze stáhnout zs centrálního serveru!</strong></p>
	$error_message";
    }

} // end installExtensionDownload

function infoPHP ()
{
    echo "<h2>PHP - PHP: Hypertext Preprocessor</h2>";
    echo '<img class="floatLeft" alt="Help" src="'. CENTRAL_SERVER .'images/info-big.jpg" />
  <p>PHP je skriptovací jazyk na straně server a primárně slouží na programovýní webových stránek. Tento jazyk tvoří jádro nespočetného množství redakčních systémů včetně Albirea. PHP vyniká svojí relativní jednoduchostí a dominantním rozšířením na web hostinzích a zejména free serverech. PHP je svobodný software dostupný zdarma. Albireo bylo naprogramováno pro PHP 5.</p>
  <a href="#" onclick="changeIdByGET(\'default.php?action=phpinfo\',\'text\');return false;" title="Nastavení PHP na Vašem serveru">PHPinfo - Nastavení PHP na Vašem serveru</a>
  <h3>Zajímavé odkazy</h3>
  <ul>
      <li><a href="http://www.php.net/" title="PHP domovská stránka">PHP domovská stránka</a></li>
      <li><a href="http://cs.wikipedia.org/wiki/Php" title="Wikipedie - PHP">Wikipedie - PHP</a>
  </ul>
  <img src="http://upload.wikimedia.org/wikipedia/en/thumb/0/0c/Lerdorf.jpg/100px-Lerdorf.jpg" alt="Rasmus Lerdorf" />
  <img src="http://upload.wikimedia.org/wikipedia/commons/thumb/f/f6/Andi_Gutmans_1.jpg/110px-Andi_Gutmans_1.jpg" alt="Andi Gutmans" />
  <img src="http://upload.wikimedia.org/wikipedia/en/thumb/a/a4/Zeev_Suraski.jpg/100px-Zeev_Suraski.jpg" alt="Zeev Suraski" />
  <p>Zleva: <a href="http://en.wikipedia.org/wiki/Rasmus_Lerdorf" title="Původní autor PHP">Rasmus Lerdorf</a>, původní autor PHP, <a href="http://en.wikipedia.org/wiki/Andi_Gutmans" title="autor PHP 3 parseru a ZEND Enginu">Andi Gutmans</a> a <a href="http://en.wikipedia.org/wiki/Zeev_Suraski" title="autor PHP 3 parseru a ZEND Enginu">Zeev Suraski</a> autoři PHP 3 parseru a ZEND Enginu. (fotografie jsou převzaty z Wikipedie)</p>
  <input type="button" class="dialogue-button" onclick="closeDialogueWindow();" value="OK" />';
} // end infoPHP

function errorPHP ()
{
    echo "<h2>Zastaralá verze PHP</h2>";
    echo '<img class="floatLeft" alt="Help" src="'. CENTRAL_SERVER .'images/help-big.jpg" />
  <p>Verze PHP '. phpversion () .' nalezená na Vašem serveru nebude podporovat Albireo.</p>
  <p>Problém může mít složité řešení v závislosti na majiteli serveru, který používáte. Možná řešení jsou:</p>
  <ul>
    <li>Pokud je to možné, nainstalujte nejnovější verzi PHP 5. Linuxová verze je dostupná v repozitáři vaší distribuce. Pokud používáte operační systém Microsoftu, prosím nainstalujte PHP z: <a href="http://www.php.net/downloads.php" title="Oficiální zdroj PHP">http://www.php.net/downloads.php</a>.</li>
    <li>Pokud není možné instalovat nový software na server, pokoušíteli se například umístit své stránky na hosting nebo server třetí strany, prosím kontaktujte jejich administrátora nebo oddělení technické podpory. Ti Vám mohou nabídnout zdarma přesunout Vaše stránky na jiný z jejich serverů. V případě neplaceného hostingu Vám pravděpodobně nebude vyhověno a musíte vyhledat nového poskytovatele.</li>
  </ul>
  <input type="button" class="dialogue-button" onclick="closeDialogueWindow();" value="OK" />';
} // end errorPHP

function infoMySQL ()
{
    echo "<h2>MySQL</h2>";
    echo '<img class="floatLeft" alt="Help" src="'. CENTRAL_SERVER .'images/info-big.jpg" />
  <p>MySQL je databázový systém vyvinutý švédskou firmou MySQL AB. MySQL AB bylo později převzato Sun Microsystems. Systém je dostupný pod svobodnou licencí GNU/GPL i komerční placenou licencí. MySQL je multiplatformní systém fungující na Linuxu i v MS Windows, ale je optimalizovaná pro Solaris (operační unixový systém Sunu).</p>
  <p>Albireo používá MySQL jako datové úložiště pro vše od článků po uživatelské účty. Návrh tabulek je optimalizován primárně pro rychlost.</p>
  <h3>Zajímavé odkazy</h3>
  <ul>
      <li><a href="http://www.mysql.com/" title="Domovská stránka MySQL">Domovská stránka MySQL</a></li>
      <li><a href="http://dev.mysql.com/" title="Domovská stránka vývojářů MySQL">Domovská stránka vývojářů MySQL</a></li>
      <li><a href="http://www.sun.com/software/products/mysql/getit.jsp" title="Informace o MySQL od Sun Microsystems">Informace o MySQL od Sun Microsystems</a>
      <li><a href="http://cs.wikipedia.org/wiki/MySQL" title="Wikipedie - MySQL">Wikipedie - MySQL</a>
  </ul>
  <img src="http://upload.wikimedia.org/wikipedia/commons/thumb/5/55/David_Axmark.jpg/200px-David_Axmark.jpg" alt="David Axmark" />
  <img src="http://upload.wikimedia.org/wikipedia/commons/thumb/b/bf/Monty_in_prague.jpg/180px-Monty_in_prague.jpg" alt="Ulf Michael Widenius (Monty)" />
  <p>Zleva: <a href="http://en.wikipedia.org/wiki/David_Axmark" title="Autor MySQL">David Axmark</a> a <a href="http://en.wikipedia.org/wiki/Michael_Widenius" title="Autor MySQL">Ulf Michael „Monty“ Widenius</a> autoři MySQL. (fotografie jsou převzaty z Wikipedie)</p>
  <input type="button" class="dialogue-button" onclick="closeDialogueWindow();" value="OK" />';
} // end infoMySQL

function errorMySQL1 ()
{
    echo "<h2>Nedostupná MySQL</h2>";
    echo '<img class="floatLeft" alt="Help" src="'. CENTRAL_SERVER .'images/help-big.jpg" />
  <p>PHP nemůže získat přístup k MySQL databázi</p>
  <p>Problém může mít složité řešení v závislosti na majiteli serveru, který používáte. Možná řešení jsou:</p>
  <ul>
    <li>Prosím ujistěte se, že MySQL je nainstalováno na Vašem serveru. Pokud je to možné, nainstalujte nejnovější verzi MySQL. Linuxová verze je dostupná v repozitáři vaší distribuce. Pokud používáte operační systém Microsoftu, prosím nainstalujte MySQL z: <a href="http://www.sun.com/software/products/mysql/getit.jsp" title="Oficiální zdroj MySQL">http://www.sun.com/software/products/mysql/getit.jsp</a>. Pokud není možné instalovat nový software na server, pokoušíteli se například umístit své stránky na hosting nebo server třetí strany, prosím kontaktujte jejich administrátora nebo oddělení technické podpory. Ti Vám mohou nabídnout zdarma přesunout Vaše stránky na jiný z jejich serverů. V případě neplaceného hostingu Vám pravděpodobně nebude vyhověno a musíte vyhledat nového poskytovatele.</li>
    <li>Pokud je MySQL nainstalováno na serveru, ale PHP stále nemůže získat přístup, prosím podívejte se do následujícího souboru: php.ini (/etc/php.ini na Linuxu), abyste se ujistili, že MySQL není zakázáno. Nebo můžete nainstalovat balíček s podporou MySQL do PHP. Další pomoc hledejte zde: <a href="http://cz.php.net/manual/en/book.mysql.php" title="MySQL na php.net">http://cz.php.net/manual/en/book.mysql.php</a>.</li>
  </ul>
  <input type="button" class="dialogue-button" onclick="closeDialogueWindow();" value="OK" />';
} // end errorMySQL1

function errorMySQL2 ()
{
    echo "<h2>Zastaralá verze MySQL</h2>";
    echo '<img class="floatLeft" alt="Help" src="'. CENTRAL_SERVER .'images/help-big.jpg" />
  <p>MySQL '. mysql_get_client_info () .' je příliš zastaralá pro bezproblémový chod Albirea.</p>
  <p>Problém může mít složité řešení v závislosti na majiteli serveru, který používáte. Možná řešení jsou:</p>
  <ul>
    <li>Pokud je to možné, nainstalujte nejnovější verzi MySQL. Linuxová verze je dostupná v repozitáři vaší distribuce. Pokud používáte operační systém Microsoftu, prosím nainstalujte MySQL z: <a href="http://www.sun.com/software/products/mysql/getit.jsp" title="Oficiální zdroj MySQL">http://www.sun.com/software/products/mysql/getit.jsp</a>.</li>
    <li>Pokud není možné instalovat nový software na server, pokoušíteli se například umístit své stránky na hosting nebo server třetí strany, prosím kontaktujte jejich administrátora nebo oddělení technické podpory. Ti Vám mohou nabídnout zdarma přesunout Vaše stránky na jiný z jejich serverů. V případě neplaceného hostingu Vám pravděpodobně nebude vyhověno a musíte vyhledat nového poskytovatele.</li>
  </ul>
  <input type="button" class="dialogue-button" onclick="closeDialogueWindow();" value="OK" />';
} // end errorMySQL1

function infoPHPPhase1 ()
{
    echo "<h2>Nastavení PHP fáze 1</h2>";
    echo '<img class="floatLeft" alt="Help" src="'. CENTRAL_SERVER .'images/info-big.jpg" />
  <p>Albireo podřebuje některá základní nastavení pro PHP, aby mohlo pracovat.</p>
  <h3>Safe Mode</h3>
  <p>PHP safe mode se snaží řešit bezpečnostní problém sdílených serverů. Safe Mode je odtsraněn od PHP 6. Albireo však potřebuje větší svobodu ke své práci a řeší bezpečnostní rizika vlastní cestou.</p>
  <h3>Centrální Server</h3>
  <p>Albireo používá služby závislé na komunikaci mezi serverem a klientskými systémy. Touto cestou je práce administrátorů velmi usnadněna a jsou zajištěny aktualizace a synchronizace systému.</p>
  <h3>Zápis na disk</h3>
  <p>Pro instalaci Albirea, aktualizace a synchronizaci PHP potřebuje povolení k zápisu do zápisu do souborové struktury Albirea na serverovém disku.</p>
  <h3>Lokalizace</h3>
  <p>Albieo používá svobodný software GNU/GetText (dostupný jako rozšíření PHP) pro lokalizaci systému. Touto cestou je zajištěna možnost lokalizace celého systému od webu po administraci.</p>
  <h3>Zajímavé odkazy</h3>
  <ul>
      <li><a href="http://cz.php.net/manual/en/features.safe-mode.php" title="Safe Mode na php.net">Safe Mode na php.net</a></li>
      <li><a href="http://www.gnu.org/software/gettext/" title="GetText na GNU">GetText na GNU.org</a></li>
  </ul>
  <input type="button" class="dialogue-button" onclick="closeDialogueWindow();" value="OK" />';
} // end infoPHPPhase1

function errorSafeMode ()
{
    echo "<h2>Safe Mode je povolen</h2>";
    echo '<img class="floatLeft" alt="Help" src="'. CENTRAL_SERVER .'images/help-big.jpg" />
  <p>Albireo potřebuje větší přístup k serveru, který není možný kvůli povolenému Safe Mode.</p>
  <p>Zde nabízíme možná řešení:</p>
  <ul>
    <li>Pokud je možné měnit nastavení PHP v php.ini (/etc/php.ini on Linux), zakažte Safe Mode (safe_mode = Off).</li>
    <li>Pokud není možné instalovat nový software na server, pokoušíteli se například umístit své stránky na hosting nebo server třetí strany, prosím kontaktujte jejich administrátora nebo oddělení technické podpory. Ti Vám mohou nabídnout zdarma přesunout Vaše stránky na jiný z jejich serverů. V případě neplaceného hostingu Vám pravděpodobně nebude vyhověno a musíte vyhledat nového poskytovatele.</li>
  </ul>
  <input type="button" class="dialogue-button" onclick="closeDialogueWindow();" value="OK" />';
} // end errorSafeMode

function errorFopen ()
{
    echo "<h2>Není možné navázat kontakt s centrálním serverem</h2>";
    echo '<img class="floatLeft" alt="Help" src="'. CENTRAL_SERVER .'images/help-big.jpg" />
  <p>Albireo potřebuje možnost kontaktovat centrální server, aby mohlo nabídnout větší uživatelský komfort a další nadstandardní služby.</p>
  <p>Váš server nepodporuje tuto možnost. Nabízíme Vám tato možná řešení:</p>
  <ul>
    <li>Pokud je možné měnit nastavení PHP v php.ini (/etc/php.ini on Linux), vypněte allow_url_fopen (allow_url_fopen = On). Pokud je povolen Safe Mode, může to ovlivňovat komunikaci s centrálním serverem také. </li>
    <li>Pokud není možné instalovat nový software na server, pokoušíteli se například umístit své stránky na hosting nebo server třetí strany, prosím kontaktujte jejich administrátora nebo oddělení technické podpory. Ti Vám mohou nabídnout zdarma přesunout Vaše stránky na jiný z jejich serverů. V případě neplaceného hostingu Vám pravděpodobně nebude vyhověno a musíte vyhledat nového poskytovatele.</li>
  </ul>
  <input type="button" class="dialogue-button" onclick="closeDialogueWindow();" value="OK" />';
} // end errorFopen

function errorDrive ()
{
    echo "<h2>Není možné zapisovat na disk serveru</h2>";
    echo '<img class="floatLeft" alt="Help" src="'. CENTRAL_SERVER .'images/help-big.jpg" />
  <p>Během instalace Albireo stahuje balíčky z centrálního serveru, proto je nutné povolit PHP zapisovat na serverový disk.</p>
  <p>Váš server nepodporuje tuto možnost. Nabízíme Vám tato možná řešení:</p>
  <ul>
    <li>Povolte PHP zápis do instalační  složky na serveru. Na linuxových serverech je tímto uživatelem ve většině případů Apache.s</li>
    <li>Pokud nemáte možnost měnit nastavení serveru, pravděpodobně budete muset povilit zápis do složky skupině a někdy i ostatním.</li>
  </ul>
  <p>Varujeme Vás, že Albireo instaluje soubory pomocí PHP a u nškterých poskkytovatelů  webového prostoru (webhosterů) to může způsobit, že dané soubory nemůžete ručně smazat. Tyto soubory pak tedy musí smazat administrátor serveru nebo pomocí PHP skriptu.</p>
  <input type="button" class="dialogue-button" onclick="closeDialogueWindow();" value="OK" />';
} // end errorDrive

function errorGettext ()
{
    echo "<h2>PHP rozšíření pro lokalizování Albirea není dostupné</h2>";
    echo '<img class="floatLeft" alt="Help" src="'. CENTRAL_SERVER .'images/help-big.jpg" />
  <p>Albieo používá svobodný software GNU/GetText pro překlad systému do různých jazyků.</p>
  <p>Problém může mít složité řešení v závislosti na majiteli serveru, který používáte. Možná řešení jsou:</p>
  <ul>
    <li>Prosím ujistěte se, že PHP rozšíření gettext je nainstalováno na Vašem serveru. Pokud je to možné, nainstalujte nejnovější verzi MySQL. Linuxová verze je dostupná v repozitáři vaší distribuce.</li>
    <li>Pokud není možné instalovat nový software na server, pokoušíteli se například umístit své stránky na hosting nebo server třetí strany, prosím kontaktujte jejich administrátora nebo oddělení technické podpory. Ti Vám mohou nabídnout zdarma přesunout Vaše stránky na jiný z jejich serverů. V případě neplaceného hostingu Vám pravděpodobně nebude vyhověno a musíte vyhledat nového poskytovatele.</li>
  </ul>
  <input type="button" class="dialogue-button" onclick="closeDialogueWindow();" value="OK" />';
} // errorGettext

if ( empty ( $_GET [ "action" ] ) ) {
echo "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n"?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

 <head>

  <meta http-equiv="Content-Type" content="application/xhtml+xml; charset=UTF-8" />
  <meta http-equiv="Content-Language" content="cs" />
  <meta http-equiv="Cache-Control" content="no-cache" />
  <meta http-equiv="content-script-type" content="text/JavaScript" />
  <meta http-equiv="content-style-type" content="text/css" />

  <meta name="description" content="Instalační stránka Albireo" />
  <meta name="copyright" content="&copy; 2008 Ragnar.cz" />
  <meta name="author" content="all: Ragnar.cz; ragnar@ragnar.cz" />
  <meta name="rating" content="Safe For Kids" />
  <meta name="distribution" content="Global" />

  <title>Albireo Instalátor</title>
  <link rel="stylesheet" type="text/css" href="<?php echo CENTRAL_SERVER; ?>default.css" charset="UTF-8" media="screen" />
  <link rel="icon" href="<?php echo CENTRAL_SERVER; ?>favicon.ico" type="image/x-icon" />
  <link rel="shortcut icon" href="<?php echo CENTRAL_SERVER; ?>favicon.ico" type="image/x-icon" />

  <script type="text/javascript" src="<?php echo CENTRAL_SERVER; ?>scripts/cor-ajax-base.js"></script>
  <script type="text/javascript" src="<?php echo CENTRAL_SERVER; ?>scripts/cor-ajax-change.js"></script>
  <script type="text/javascript" src="<?php echo CENTRAL_SERVER; ?>scripts/cor-form-default-text.js"></script>
  <script type="text/javascript" src="<?php echo CENTRAL_SERVER; ?>scripts/cor-show-form-part.js"></script>
  <script type="text/javascript" src="<?php echo CENTRAL_SERVER; ?>scripts/jqr-jquery.js"></script>
  <script type="text/javascript" src="<?php echo CENTRAL_SERVER; ?>scripts/jqr-ppdrag.js"></script>
  <script type="text/javascript" src="<?php echo CENTRAL_SERVER; ?>scripts/cor-dialogue-window.js"></script>
  <script type="text/javascript" src="<?php echo CENTRAL_SERVER; ?>scripts/cor-user-administration.js"></script>

 </head>


 <body>
     <div id="page">
	<div id="strankaobal1">
	    <div id="strankaobal2">
            <div id="toppage">
                <img src="<?php echo CENTRAL_SERVER; ?>images/albireo-logo.jpg" alt="logo Albireo" id="logoAlbireo" />
                <div id="upperHeaderLeft"> </div>
                <div id="upperHeaderRight"> </div>
                <div id="navigbuttons">
                    <a href="default.php" title="Home"><img src="<?php echo CENTRAL_SERVER; ?>images/home.jpg" alt="Domů" /><span>Domů</span></a>
                    <a href="#" onclick="changeIdByGET('default.php?action=test','text');return false;" title="Test serveru"><img src="<?php echo CENTRAL_SERVER; ?>images/test.jpg" alt="Test serveru" /><span>Test</span></a>
                    <a href="#" onclick="changeIdByGET('default.php?action=license','text');return false;" title="Licence"><img src="<?php echo CENTRAL_SERVER; ?>images/license.jpg" alt="Licence" /><span>Licence</span></a>
                    <a href="#" onclick="changeIdByGET('default.php?action=install','text');return false;" title="Instalace souborů"><img src="<?php echo CENTRAL_SERVER; ?>images/install.jpg" alt="Instalace souborů" /><span>Instalace</span></a>
                    <a href="#" onclick="changeIdByGET('default.php?action=database','text');return false;" title="Databáze"><img src="<?php echo CENTRAL_SERVER; ?>images/database.jpg" alt="Databáze" /><span>Databáze</span></a>
                    <a href="#" onclick="changeIdByGET('default.php?action=users','text');return false;" title="Uživatelé"><img src="<?php echo CENTRAL_SERVER; ?>images/users.jpg" alt="Uživatelé" /><span>Uživatelé</span></a>
                    <a href="#" onclick="changeIdByGET('default.php?action=registration','text');return false;" title="Registrace"><img src="<?php echo CENTRAL_SERVER; ?>images/registration.jpg" alt="Registrace" /><span>Registrace</span></a>
                </div>
                <script type="text/javascript">
                    $("#navigbuttons>a").mouseover(function(){
                        $(this).fadeTo(1, 0.8);
                    }).mouseout(function(){
                        $(this).fadeTo(1, 1);
                    });
                </script>
            </div>

		<div id="strankavnitrek">
		    <div id="strankavnitrek2">

			<div id="hlavnipanelobal">

			    <div id="hlavnipanelvnitrek">

				<div id="text">
				    <h1 id="homepage">Albireo I<br />Svobodný redakční systém</h1>
				    <p>Vítejte na instalační stránce Albirea, svobodného redakčního systému. Albireo je dostupné k uživání a šíření <strong>zdarma</strong>.</p>
				    <p>Celá instalace probíhá zde ve Vašem prohlížeči. Nemusíte se již vracet na Váš server nebo FTP. Prosím ujistěte se, že máte <strong>přístupové kódy k MySQL</strong>.</p>
				    <p>Doufáme, že pro Vás bude práce s vaším systémem příjemným zážitkem.</p>
				    <a href="#" title="Ověř dostupnost služeb na serveru" onclick="changeIdByGET('default.php?action=test','text');return false;"><img class="installButton" src="<?php echo CENTRAL_SERVER . LANGUAGE .'/'. LANGUAGE .'-'; ?>test-button.jpg" alt="Test serveru" /></a>
 				</div>
                <hr class="cleaner" />

			    </div>
			</div>

            </div>
	    </div>

	    </div>
    	</div>
        <div id="footer">
            <div id="footerLeft"> </div>
            <div id="footerRight"> </div>
       © 2009 <a href="http://www.albireo.name/" title="Oficiální webové stránky Albirea">Albireo.name</a> | <a href="http://www.albireo.name/kontakty" title="Kontakt na autory Albirea">Kontakty</a>
        </div>
    </div>

 </body>

</html><?php
} else {

echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>"; ?>

<albireo>
    <article>
	<head>
	    <title>Albireo Installation</title>
    	</head>
	<body>
	    <?php

if ( file_exists ( "download/localization.php" ) ) {
    include_once "download/localization.php"; // handle localization of Albireo installer
}

if ( file_exists ( "autoload.php" ) ) {
    include_once "autoload.php"; // handle automatic load of classes
}

if ( file_exists ( "download/install-extension.php" ) ) {
    include_once "download/install-extension.php";
    extendedSwitch ();
} else {
    switch ( $_GET [ "action" ] ) {

    	case "test":
    	    testServer ();
    	break;

    	case "info-php":
    	    infoPHP ();
    	break;

    	case "phpinfo":
    	    phpinfo ();
    	break;

    	case "error-php":
    	    errorPHP ();
    	break;

    	case "info-mysql":
    	    infoMySQL ();
    	break;

    	case "error-mysql1":
    	    errorMySQL1 ();
    	break;

    	case "error-mysql2":
    	    errorMySQL2 ();
    	break;

    	case "info-phpphase1":
    	    infoPHPPhase1 ();
    	break;

    	case "error-safemode":
    	    errorSafeMode ();
    	break;

    	case "error-fopen":
    	    errorFopen ();
    	break;

    	case "error-drive":
    	    errorDrive ();
    	break;

    	case "error-gettext":
    	    errorGettext ();
    	break;

    	default:
    	    echo "<p><strong class=\"warning\">Tento požadavek nemůže být vykonán!</strong></p>
    	    <p>V této fázi je možné, že některé odkazy a tlačítka ještě nefungují.</p>";

    } } ?>

	</body>
    </article>
</albireo>
<?php
}
?>